cpw.mods.fml.client.event

## Class ConfigChangedEvent.PostConfigChangedEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - cpw.mods.fml.client.event.ConfigChangedEvent
    - - cpw.mods.fml.client.event.ConfigChangedEvent.PostConfigChangedEvent

- Enclosing class:
    ConfigChangedEvent

      public static class ConfigChangedEvent.PostConfigChangedEvent
      extends ConfigChangedEvent

  This event is provided for mods to consume if they want to be able to check if other mods' configs have been changed. This event only fires if the OnConfigChangedEvent result is not DENY.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.client.event.ConfigChangedEvent

      `ConfigChangedEvent.OnConfigChangedEvent, ConfigChangedEvent.PostConfigChangedEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.event.ConfigChangedEvent

      `configID, isWorldRunning, modID, requiresMcRestart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigChangedEvent.PostConfigChangedEvent(java.lang.String modID, java.lang.String configID, boolean isWorldRunning, boolean requiresMcRestart)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigChangedEvent.PostConfigChangedEvent

          public ConfigChangedEvent.PostConfigChangedEvent(java.lang.String modID,
                                                   java.lang.String configID,
                                                   boolean isWorldRunning,
                                                   boolean requiresMcRestart)